# Interface methods for submodule: MultiThreaderBase
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: MultiThreaderBase
class MultiThreaderBaseProxy(_ObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetMaximumNumberOfThreads(self, numberOfThreads: int) -> None:
		""""""
		...

	def GetMaximumNumberOfThreads(self) -> int:
		""""""
		...

	def SetNumberOfWorkUnits(self, numberOfWorkUnits: int) -> None:
		""""""
		...

	def GetNumberOfWorkUnits(self) -> int:
		""""""
		...

	def SetUpdateProgress(self, updates: bool) -> None:
		""""""
		...

	def GetUpdateProgress(self) -> bool:
		""""""
		...

	@staticmethod
	def SetGlobalMaximumNumberOfThreads(val: int) -> None:
		""""""
		...

	@staticmethod
	def GetGlobalMaximumNumberOfThreads() -> int:
		""""""
		...

	@staticmethod
	def ThreaderTypeFromString(threaderString: str):
		""""""
		...

	@staticmethod
	def ThreaderTypeToString(threader) -> str:
		""""""
		...

	@staticmethod
	def SetGlobalDefaultThreader(threaderType) -> None:
		""""""
		...

	@staticmethod
	def GetGlobalDefaultThreader():
		""""""
		...

	@staticmethod
	def SetGlobalDefaultNumberOfThreads(val: int) -> None:
		""""""
		...

	@staticmethod
	def GetGlobalDefaultNumberOfThreads() -> int:
		""""""
		...

	def SingleMethodExecute(self) -> None:
		""""""
		...

